Verify APIAccount access
Get account access details
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Identifier of the account access request.
Format
uuidHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
X-Volt-Initiation-Channel*string
Channel used for account access flow.
Value in
- "hosted"
- "api"
Response Body
application/json
curl -X GET "https://example.com/account-access/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1" \ -H "X-Volt-Initiation-Channel: hosted"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "internalReference": "H35X48Y4FWOD6G3S", "informationSystem": "OPEN_BANKING_EU", "openBankingEU": { "institutionId": "cdae5c01-a629-4362-be56-52101ec22a49", "accountIdentifiers": {} }, "subject": { "reference": "JDOE-101", "email": "johndoe@example.com" }, "scopes": [ "ACCOUNTS", "IDENTIFICATION", "TRANSACTIONS", "BALANCES" ], "device": { "ip": "192.168.0.1", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0", "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed" }, "status": { "status": "NEW", "reason": null }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "accountAccessFlow": { "status": "PROCESSING", "details": { "reason": "AWAITING_USER_REDIRECT", "redirect": { "url": "https://vo.lt/asqIs", "directUrl": "https://myBank.com/authorisation?code=xyz" } } }}